import org.apache.cactus.ServletTestCase;
import org.apache.cactus.WebResponse;

import javax.servlet.RequestDispatcher;

public class ServletToTestJSP extends ServletTestCase {

    public ServletToTestJSP(String methodName) {
        super(methodName);
    }
	
	String startTest = "testjsp";
	String[] endTest;
	
	/* Do tejto metdy mete umiestni logiku, 
	zodpovedn za zskanie dajov pre JSP. Mete vyui 
	naprklad JDBC alebo EJB. Pre nzornos to urobme 
	vemi jednoducho, nastavme atribt objektu request*/
    public void testForwardingToJsp() throws Exception {
  		this.request.setAttribute("test_string", startTest);
        RequestDispatcher rd = this.config.getServletContext().getRequestDispatcher("/convert.jsp");
        rd.forward(this.request, this.response);
    }

	/*V tejto metde overme, i odpove obsahuje
	daje, ktor sme oakvali.*/
    public void endForwardingToJsp(WebResponse webResponse) {
  		/* metda getTextAsArray() vrti odpove 
		(okrem hlaviky) ako pole reazcov; kad
		zznam je jeden riadok z vstupnho prdu */
		endTest = webResponse.getTextAsArray();
		// n porovnvan reazec m index 2
		assertNotNull(endTest[2]);
		assertEquals(startTest.toUpperCase(),endTest[2]);
    }
}